function msg(str)
  if str == nil then str = 'nil' end
  reaper.ShowConsoleMsg(str..'\n')
end

function IsTrackSelected ()
  local counttracks
  counttracks = reaper.CountTracks(0)
  if counttracks == nil then return end
  _, user_input = reaper.GetUserInputs("Save as", 1, "Prefix Name", "")
  if user_input:match(".") then
    user_input_str = user_input.."_"
  end

  for i=1, counttracks do
    track = reaper.GetTrack(0, i-1)
    if reaper.IsTrackSelected(track) then
      _, tr_name = reaper.GetSetMediaTrackInfo_String(track, 'P_NAME', '', false)
      if tr_name and user_input_str then
        tr_name_n = user_input_str..tr_name
        reaper.GetSetMediaTrackInfo_String(track, 'P_NAME', tr_name_n, true)
      end
    end
  end
end

IsTrackSelected ()
